package com.bjtdba.entity.userCenter;

import java.math.BigDecimal;

public class UserBill {
    private Integer bill_id;
    private Integer uid;
    private Integer link_id;
    private Integer pm;
    private String title;
    private String category;
    private String type;
    private BigDecimal number;
    private BigDecimal numberSun;
    private BigDecimal balance;
    private String mark;
    private String create_time;
    private Integer status;
    private Integer commission_type;
    private String order_sn;
    private Integer tripartite;
    private Integer type_shop;
    private Integer mer_id;
    private Integer source;
    private Integer order_type;
    private Integer gzc;

    public BigDecimal getNumberSun() {
        return numberSun;
    }

    public void setNumberSun(BigDecimal numberSun) {
        this.numberSun = numberSun;
    }

    public Integer getBill_id() {
        return bill_id;
    }

    public void setBill_id(Integer bill_id) {
        this.bill_id = bill_id;
    }

    public Integer getUid() {
        return uid;
    }

    public void setUid(Integer uid) {
        this.uid = uid;
    }

    public Integer getLink_id() {
        return link_id;
    }

    public void setLink_id(Integer link_id) {
        this.link_id = link_id;
    }

    public Integer getPm() {
        return pm;
    }

    public void setPm(Integer pm) {
        this.pm = pm;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public BigDecimal getNumber() {
        return number;
    }

    public void setNumber(BigDecimal number) {
        this.number = number;
    }

    public BigDecimal getBalance() {
        return balance;
    }

    public void setBalance(BigDecimal balance) {
        this.balance = balance;
    }

    public String getMark() {
        return mark;
    }

    public void setMark(String mark) {
        this.mark = mark;
    }

    public String getCreate_time() {
        return create_time;
    }

    public void setCreate_time(String create_time) {
        this.create_time = create_time;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getCommission_type() {
        return commission_type;
    }

    public void setCommission_type(Integer commission_type) {
        this.commission_type = commission_type;
    }

    public String getOrder_sn() {
        return order_sn;
    }

    public void setOrder_sn(String order_sn) {
        this.order_sn = order_sn;
    }

    public Integer getTripartite() {
        return tripartite;
    }

    public void setTripartite(Integer tripartite) {
        this.tripartite = tripartite;
    }

    public Integer getType_shop() {
        return type_shop;
    }

    public void setType_shop(Integer type_shop) {
        this.type_shop = type_shop;
    }

    public Integer getMer_id() {
        return mer_id;
    }

    public void setMer_id(Integer mer_id) {
        this.mer_id = mer_id;
    }

    public Integer getSource() {
        return source;
    }

    public void setSource(Integer source) {
        this.source = source;
    }

    public Integer getOrder_type() {
        return order_type;
    }

    public void setOrder_type(Integer order_type) {
        this.order_type = order_type;
    }

    public Integer getGzc() {
        return gzc;
    }

    public void setGzc(Integer gzc) {
        this.gzc = gzc;
    }
}
